Template

Retrieves a list of Templates.

Retrieves a list of Templates.

GET/api/templates

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Query Parameters

page
integerdefault:1

The collection page number

pagination
boolean

Enable or disable pagination

order[id]
stringdefault:asc

No description provided.

order[identifier]
stringdefault:asc

No description provided.

order[activeFrom]
stringdefault:asc

No description provided.

order[active]
stringdefault:asc

No description provided.

order[paused]
stringdefault:asc

No description provided.

order[createdAt]
stringdefault:asc

No description provided.

order[updatedAt]
stringdefault:asc

No description provided.

active
boolean

No description provided.

active[]
boolean[]

No description provided.

subClient
string

No description provided.

subClient[]
string[]

No description provided.

brandIdentifier
string

No description provided.

brandIdentifier[]
string[]

No description provided.

search
string

Search across multiple fields (id, identifier, brandIdentifier, description, groupIdentifier, customId, color, maxPageAmount, maxBlockedAmount, paused, legacy, validatorIdentifiers, chartIdentifiers, qrCodeIdentifiers, activeFrom, active, subClientDefault, createdAt, updatedAt, subClient.description) using OR logic with partial matching.

activeFrom[before]
string

No description provided.

activeFrom[strictly_before]
string

No description provided.

activeFrom[after]
string

No description provided.

activeFrom[strictly_after]
string

No description provided.

Response

200application/json

Template collection

id
integer

Identifier generated by Output.Rocks.

Example: 12345

identifier
stringrequired

Unique identifier to be used for mappings

Example: "my_template_document"

description
string

Template description / title. <<>>-Syntax can be used for dynamical generation.

Example: "Invoice for contract <<contract.number>>"

paused
boolean

Paused flag. Default: false

Available options: truefalse

Example: false

groupIdentifier
string

Optional group identifier to be used with group conditions

Example: "my_group"

groupCondition
string

Group condition.

Example: "data['contract']['balance'] > 0"